brick_offline_first_with_graphql 3.0.1 copy "brick_offline_first_with_graphql: ^3.0.1" to clipboard
brick_offline_first_with_graphql: ^3.0.1 copied to clipboard

A Brick domain that routes data fetching through local providers before a GraphQL provider.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add brick_offline_first_with_graphql

With Flutter:

 $ flutter pub add brick_offline_first_with_graphql

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  brick_offline_first_with_graphql: ^3.0.1

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:brick_offline_first_with_graphql/brick_offline_first_with_graphql.dart';
1
likes
110
pub points
10%
popularity

Publisher

unverified uploader

A Brick domain that routes data fetching through local providers before a GraphQL provider.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

brick_core, brick_graphql, brick_offline_first, brick_sqlite, gql, gql_exec, gql_link, logging, meta, sqflite_common

More

Packages that depend on brick_offline_first_with_graphql